summaryrefslogtreecommitdiffstats
path: root/network/courier-imap
diff options
context:
space:
mode:
author Derek Noonburg <derekn@foolabs.com>2013-10-27 03:16:18 -0500
committer Robby Workman <rworkman@slackbuilds.org>2013-10-27 23:39:01 -0500
commita4667a106a3e48da230a93c3aab3cb7a08c2b947 (patch)
tree3094b04bd3910f817b7f7247ffabc01734f2c6c9 /network/courier-imap
parent22f0b340c3a440e2dac469a44e07980e412fef66 (diff)
downloadslackbuilds-a4667a106a3e48da230a93c3aab3cb7a08c2b947.tar.gz
slackbuilds-a4667a106a3e48da230a93c3aab3cb7a08c2b947.tar.xz
network/courier-imap: Added (Courier IMAP server)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network/courier-imap')
-rw-r--r--network/courier-imap/README11
-rw-r--r--network/courier-imap/courier-imap.SlackBuild91
-rw-r--r--network/courier-imap/courier-imap.info10
-rw-r--r--network/courier-imap/doinst.sh18
-rw-r--r--network/courier-imap/slack-desc19
5 files changed, 149 insertions, 0 deletions
diff --git a/network/courier-imap/README b/network/courier-imap/README
new file mode 100644
index 0000000000..3254e9e568
--- /dev/null
+++ b/network/courier-imap/README
@@ -0,0 +1,11 @@
+The Courier IMAP server is a fast, scalable, enterprise IMAP server
+that uses Maildirs. Many E-mail service providers use the Courier IMAP
+server to easy handle hundreds of thousands of mail accounts. With its
+built-in IMAP and POP3 aggregation proxy, the Courier IMAP server has
+practically infinite horizontal scalability. In a proxy configuration,
+a pool of Courier servers service initial IMAP and POP3 connections
+from clients. They wait to receive the client's log in request, look
+up the server that actually holds this mail account's mailbox, and
+establish a proxy connection to the server, all in a single, seamless
+process. Mail accounts can be moved between different servers, to
+achieve optimum resource usage.
diff --git a/network/courier-imap/courier-imap.SlackBuild b/network/courier-imap/courier-imap.SlackBuild
new file mode 100644
index 0000000000..f79d626599
--- /dev/null
+++ b/network/courier-imap/courier-imap.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for mod_fastcgi
+
+# Written by Derek Noonburg (derekn@foolabs.com)
+# 2012-03-20
+# Released into the public domain.
+
+PRGNAM=courier-imap
+VERSION=${VERSION:-4.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG="$TMP/package-$PRGNAM"
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R operator .
+
+# courier-imap refuses to build as root, so we do "su operator ..."
+# on the "configure" and "make" commands
+
+#su operator -c "\
+#CFLAGS=\"$SLKCFLAGS\" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/courier-imap \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-root-check=no \
+ --build=$ARCH-slackware-linux \
+#"
+make
+#su operator -c "make"
+
+make install DESTDIR=$PKG
+make install-configure DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+gzip -9 $PKG/usr/man/*/*
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+for f in imapd imapd-ssl imapd.cnf pop3d pop3d-ssl pop3d.cnf ; do
+ mv $PKG/etc/courier-imap/$f $PKG/etc/courier-imap/$f.new
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING.GPL INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/courier-imap/courier-imap.info b/network/courier-imap/courier-imap.info
new file mode 100644
index 0000000000..7c44917f61
--- /dev/null
+++ b/network/courier-imap/courier-imap.info
@@ -0,0 +1,10 @@
+PRGNAM="courier-imap"
+VERSION="4.13"
+HOMEPAGE="http://www.courier-mta.org/imap/"
+DOWNLOAD="https://download.sourceforge.net/courier/courier-imap-4.13.tar.bz2"
+MD5SUM="0bbaffd067199ee35de5b15ea02e6d53"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="courier-authlib"
+MAINTAINER="Derek Noonburg"
+EMAIL="derekn@foolabs.com"
diff --git a/network/courier-imap/doinst.sh b/network/courier-imap/doinst.sh
new file mode 100644
index 0000000000..b6a2af14d1
--- /dev/null
+++ b/network/courier-imap/doinst.sh
@@ -0,0 +1,18 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/courier-imap/imapd.new
+config etc/courier-imap/imapd-ssl.new
+config etc/courier-imap/imapd.cnf.new
+config etc/courier-imap/pop3d.new
+config etc/courier-imap/pop3d-ssl.new
+config etc/courier-imap/pop3d.cnf.new
diff --git a/network/courier-imap/slack-desc b/network/courier-imap/slack-desc
new file mode 100644
index 0000000000..3adb17e466
--- /dev/null
+++ b/network/courier-imap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+courier-imap: courier-imap (Courier IMAP server)
+courier-imap:
+courier-imap: The Courier IMAP server is a fast, scalable, enterprise IMAP server
+courier-imap: that uses Maildirs.
+courier-imap:
+courier-imap: Homepage: http://www.courier-mta.org/imap/
+courier-imap:
+courier-imap:
+courier-imap:
+courier-imap:
+courier-imap: